diff --git a/src/emu-i386/simx86/sigsegv.c b/src/emu-i386/simx86/sigsegv.c
index a6b80c1fa4..1ce1c92b2f 100644
--- a/src/emu-i386/simx86/sigsegv.c
+++ b/src/emu-i386/simx86/sigsegv.c
@@ -482,12 +482,14 @@ int e_vgaemu_fault(struct sigcontext *scp, unsigned page_fault)
 /* this function is called from dosemu_fault */
 int e_emu_fault(struct sigcontext *scp)
 {
+#ifdef __x86_64__
   if (_trapno == 0x0e && _cr2 > 0xffffffff)
   {
     error("Accessing reserved memory at %08lx\n"
 	  "\tMaybe a null segment register\n",_cr2);
     return 0;
   }
+#endif
 
   /* if config.cpuemu==3 (only vm86 emulated) then this function can
      be trapped from within DPMI, and we still must be prepared to
